CANDY Pi Liteサービスの起動失敗について


#1

お世話になっております。

CANDY Pi Lite LTE と イプシムのnanoSIMにて動作の確認をすべく
諸々インストールを行いました。
(Raspberry Pi 3 Model B)

ところが、オレンジ色のLEDが点灯せず、通信もできない状況です。

現在の状況なのですが…

○/boot/apn
{
“apn”: “4gn.jp”,
“user”: “sim@with”,
“password”: “sim”
}

○candy sim show
[ERROR] CANDY Board Service isn’t running

○systemctl status candy-red
● candy-red.service - CANDY RED Gateway Service, version:7.1.0
Loaded: loaded (/lib/systemd/system/candy-red.service; enabled)
Active: active (running) since 金 2018-08-17 19:22:41 JST; 20min ago

○systemctl status candy-pi-lite
● candy-pi-lite.service - CANDY Pi Lite Service, version:5.1.0
Loaded: loaded (/lib/systemd/system/candy-pi-lite.service; enabled)
Active: failed (Result: start-limit) since 金 2018-08-17 19:29:22 JST; 14min ago
Process: 1260 ExecStop=/opt/candy-line/candy-pi-lite/stop_systemd.sh (code=exited, status=11)
Process: 1257 ExecStart=/opt/candy-line/candy-pi-lite/start_systemd.sh (code=exited, status=11)
Main PID: 1257 (code=exited, status=11)

○/var/log/syslog
Aug 17 19:29:20 UNIT15 systemd[1]: Started CANDY Pi Lite Service, version:5.1.0.
Aug 17 19:29:20 UNIT15 candy-pi-lite: [ERROR] Modem is missing
Aug 17 19:29:20 UNIT15 systemd[1]: candy-pi-lite.service: main process exited, code=exited, status=11/n/a
Aug 17 19:29:20 UNIT15 candy-pi-lite: [ERROR] Modem is missing
Aug 17 19:29:20 UNIT15 systemd[1]: candy-pi-lite.service: control process exited, code=exited status=11
Aug 17 19:29:20 UNIT15 systemd[1]: Unit candy-pi-lite.service entered failed state.
Aug 17 19:29:21 UNIT15 systemd[1]: candy-pi-lite.service holdoff time over, scheduling restart.
Aug 17 19:29:21 UNIT15 systemd[1]: Stopping CANDY Pi Lite Service, version:5.1.0…

という状況で、手詰まりな状況で御座います。
何か根本的な勘違いをしている可能性もあるのですが、ヒントになるようなものがあればと思いまして…


#2

ご質問ありがとうございます。

Modem is missingと出ていることから、シリアルポートが見えていないため、インストールに失敗しているか、初期化ができていない可能性があります。

ソフトウェアのインストールはターミナルからこちらに記載の方法でインストールされたでしょうか?
あるいはCANDY LINEの提供するOSイメージをご利用でしょうか?

また、前者の場合インストール後再起動されましたでしょうか?


#3

返信ありがとう御座います。

ターミナルからインストールする形でやってみました。
再起動などについては何回か試してみました。

一度アンインストールしたうえで再度手順を追って試してみたのですが
現状変化がありませんでした。

一度OSイメージで試してみようと思います。
(先に試してみるべきでした。すみません)


#4

ご回答ありがとうございました。
もしわかるようであれば、うまくいかなかった時に利用されたRaspbianのバージョンを教えていただければと思います。
また、OSイメージにつきましてもお試しの際に不明点がありましたらお知らせください。


#5

もう一点、追記がございます。

イプシムSIMにつきましては、プリセットの設定がすでにございますので、より簡単にAPN設定が可能です。

/boot/apnに、以下の代わりに、

{
  "apn": "4gn.jp",
  "user": "sim@with",
  "password": "sim"
}

単に、以下の文字列だけをご指定ください。

4gn.jp

プリセット一覧のドキュメントの反映がうまくできておりませんでしたので、本情報が公開されておりませんでした。
失礼いたしました。

また、イプシムの中の人が書かれたQiita記事もございますので合わせてご覧頂ければと思います。


#6

諸々大変ありがとう御座います。

OSイメージで試してみたところ問題なく使用できることが確認できました。

ひとまずの目的は果たせたのですが、気になるので改めてRaspbianから
インストールを行う手順を試してみました。

前回試したときのバージョンが不明だったため、改めてRaspbianの
イメージを用意したうえで試してみました。

Raspbianのイメージとして、2018-06-27-raspbian-stretch-lite を
使用したところ、インストールの手順のなかで、

main: line 439: npm: command not found
[INFO] Installing CANDY RED...
main: line 444: npm: command not found
[ERROR] Failed to install CANDY RED
[ERROR] Consider to use the presinstalled OS image at https://forums.candy-line.io/tags/os, instead.

となり、CANDY REDのインストールがエラーとなってしまいました。
これはこれで前回と挙動が違うため、なんともな感じです。
(なにか根本的に私が間違えているようなきもしております…)

一旦はOSイメージのほうでいろいろ試してみようと思います。


#7

情報提供ありがとうございました。
こちらでも確認いたします。


#8

2018-06-27-raspbian-stretch-lite及び2018-06-27-raspbian-stretchでインストールを検証しました。
その結果、ご報告いただいた内容通りエラーとなることがわかりました。

これはRaspbian側のソフトウェアリポジトリーに何らかの挙動の変更が入ったためと推測されます。

ソフトウェア側の対処を行なってエラーとならないようにする予定です。お知らせいただきありがとうございました。


#9

CANDY Pi Liteソフトウェアの更新を行いました。インストールがうまくいかない問題を修正しています。